Hi Dave,

What would you recommend to fix this? Should I try to update back to the versions I originally had, reproduce my first error, and then try different versions of gcc-avr and avr-libc? Is there another way that I can specify the avr linker instead of the x86 one?

Thanks,
-Russell

On Fri, Aug 20, 2010 at 2:08 PM, Dave Hylands <dhylands@gmail.com> wrote:
Hi Russell,

On Fri, Aug 20, 2010 at 10:46 AM, RussellMorin <russmorin@gmail.com> wrote:
>
> Hello,
>
> I've been having the same problem as Eric. I tried downgrading my gcc-avr
> and avr-libc to 4.2.2 and 1.4.7 respectively, from 4.3.3 and 1.62, but that
> has just produced a different error.
>
> ERROR: function do_compile failed
> ERROR: log data follows
> (/home/russ/gumstix/gumstix-oe/tmp/work/gumstix-custom-connex-angstrom-linux-gnueabi/robostix-1.0-r0/temp/log.do_compile.31481)
> | Building ArgTest/ ...
> | Building Flash-LED/ ...
> | Building i2c-BootLoader/ ...
> | Linking i2c-Boot-m128-16MHz.elf ...
> | ld: unrecognised emulation mode: avr5
> | Supported emulations: elf_i386 i386linux elf_x86_64 elf_l1om
> | make[1]: *** [i2c-Boot-m128-16MHz.elf] Error 1
> | make: *** [i2c-BootLoader/] Error 2

Somehow, it looks like whatever you've done has caused the x86 linker
to be used instead of the avr one.

--
Dave Hylands
Shuswap, BC, Canada
http://www.DaveHylands.com/

------------------------------------------------------------------------------
This SF.net email is sponsored by

Make an app they can't live without
Enter the BlackBerry Developer Challenge
http://p.sf.net/sfu/RIM-dev2dev
_______________________________________________
gumstix-users mailing list
gumstix-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gumstix-users